GetPublicFiles loop when the url is not available

Bug #562443 reported by Alexander Hunziker on 2010-04-13
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Ubuntu One Client
Critical
dobey

Bug Description

After syncing files, my syncdaemon keeps downloading data, at a constant rate of some 40-60kilobits per second, seemingly endlessly.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: ubuntuone-client 1.1.91+r490-0ubuntu1~ppa1~lucid
ProcVersionSignature: Ubuntu 2.6.32-20.30-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-20-generic i686
Architecture: i386
CrashDB: ubuntuone
Date: Tue Apr 13 19:29:31 2010
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_GB:en
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
SourcePackage: ubuntuone-client
ThirdParty: True
UbuntuOneOAuthLoginLog:
 2010-04-13 10:40:19,091:91.2139415741 ubuntuone-login Starting Ubuntu One login manager version 1.1.91
 2010-04-13 15:35:22,530:530.996084213 ubuntuone-login Starting Ubuntu One login manager version 1.1.91
UbuntuOneUserSyncdaemonConfig:
 [bandwidth_throttling]
 read_limit = 2097152
 write_limit = 262144
 on = True

Related branches

Natalia Bidart (nataliabidart) wrote :

A fragment of this user log can b seen here: https://pastebin.canonical.com/30511/

Changed in ubuntuone-client:
importance: Undecided → High
status: New → Confirmed
assignee: nobody → Ubuntu One Desktop+ team (ubuntuone-desktop+)
tags: added: desktop+
dobey (dobey) on 2010-04-13
Changed in ubuntuone-client:
assignee: Ubuntu One Desktop+ team (ubuntuone-desktop+) → Rodney Dawes (dobey)
status: Confirmed → In Progress
Roman Yepishev (rye) wrote :

GetPublicFiles goes into infinite loop now even if the response is received.
syncdaemon.log is attached starting from nautilus navigation to Documents folder.

dobey (dobey) on 2010-04-14
tags: added: u1-lucid
John Lenton (chipaca) on 2010-04-16
Changed in ubuntuone-client:
importance: High → Critical
dobey (dobey) on 2010-04-19
Changed in ubuntuone-client:
milestone: none → 1.2.1
status: In Progress → Fix Committed
dobey (dobey) on 2010-04-26
Changed in ubuntuone-client:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers